### Method

# Ide Buffer dup_title

#### Declaration

    gchar*
    ide_buffer_dup_title (
      IdeBuffer* self
    )

#### Description

Gets a string to represent the title of the buffer. An attempt is made to make this relative to the project workdir if possible.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing a title.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.